★ TouchArcade needs your help. Click here to support us on Patreon.

iPhone: Ipod touch 1st gen...

10-18-2008, 02:18 PM
#1
Joined: Sep 2008
Location: Seattle, WA
Posts: 301
Ipod touch 1st gen...

Recently, several games have come out that are compatible only with 2nd gen itouches, like pac man lite and topple. Is this just a harmless typo, or do I now need to go out and spend another 300 bucks because all apps from now on won't work on my original itouch? Sorry if this is in the wrong part of the forum, I wasn't sure where to put it (Go ahead and move it if you'd like, arn).

Any insight would be helpful (Hopefully it is just a typo)
10-18-2008, 02:22 PM
#2
Joined: Jul 2008
Location: Orlando, FL
Posts: 4,491
In the case of Topple they have already said it was a typo.

Pac Man works just fine on a 1st gen touch as well.

There isn't any real change in hardware other than the modified bluetooth chip for Nike+ so you shouldn't worry about it
10-18-2008, 02:42 PM
#3
Joined: Sep 2008
Location: Seattle, WA
Posts: 301
Quote:
Originally Posted by VegantTnT View Post
In the case of Topple they have already said it was a typo.

Pac Man works just fine on a 1st gen touch as well.

There isn't any real change in hardware other than the modified bluetooth chip for Nike+ so you shouldn't worry about it
Thank you!
10-18-2008, 02:46 PM
#4
Joined: Jul 2008
Location: Boston
Posts: 1,268
its just when packing and signing the code for distribution with apple, the developer has to fill out some Metadata, there are a few strings that deal with limiting it to various devices

its an easy fix
no need to upgrade your hardware unless the app you can't live without requires that you need a mic or camera...
10-18-2008, 02:54 PM
#5
Joined: Sep 2008
Posts: 2,487
And what's weird is that Pac Man is able to run on generation 1, but not the new lite version. No real reason why that would be unless they also had a mistake in their submission...